| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::CoreDbNameFilter Class Reference

## Public Member Functions
| CoreDbNameFilter (const QString &filter)
| Creates a name filter object with the given filter string.
bool | matches (const QString &name)
| Returns if the specified name matches this filter.

## Protected Attributes
QList< QRegularExpression > | m_filterList

## Constructor & Destructor Documentation

## ◆ CoreDbNameFilter()

Digikam::CoreDbNameFilter::CoreDbNameFilter | ( | const QString & | filter | ) |
| explicit

The string is a list of text parts of which one needs to match (file suffixes), separated by ';' characters.